6.0.0-git
2019-12-14

[#11149] a horde_auth option for credentials is needed
Summary a horde_auth option for credentials is needed
Queue Chora
Queue Version Git develop
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester Klaus.Steinberger (at) physik (dot) uni-muenchen (dot) de
Created 2012-04-13 (2801 days ago)
Due
Updated 2012-04-17 (2797 days ago)
Assigned
Resolved
Milestone
Patch No

History
2012-04-17 13:22:10 Jan Schneider State ⇒ Accepted
 
2012-04-17 13:00:24 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #5 Reply to this comment
You could add a Chora user with read-only permission to the svn repository.
Not what I like for a general solution, but maybe I could use that for 
some repositories.

2012-04-17 12:55:42 Jan Schneider Comment #4 Reply to this comment
You could add a Chora user with read-only permission to the svn repository.
2012-04-17 12:46:22 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #3 Reply to this comment
Hi Jan,
Any reason you don't use permissions for that? That would make much 
more sense, because the user won't even see any repositories that he 
don't has access to anyway.
we could probably use permissions to hide repositories a user should 
not have acces, but in those he should have access he must be logged 
in with his own credentials.

Sincerly,
Klaus
2012-04-17 12:43:15 Jan Schneider Comment #2
State ⇒ Feedback
Version ⇒ Git develop
Reply to this comment
Any reason you don't use permissions for that? That would make much 
more sense, because the user won't even see any repositories that he 
don't has access to anyway.
2012-04-13 16:19:01 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ a horde_auth option for credentials is needed
Queue ⇒ Chora
Milestone ⇒
Patch ⇒ No
Reply to this comment
We do have many subversion and git repositories which are only open 
for some users.

As credentials are same for our subversion repositories as for our 
horde system, a option to use horde credentials inside chora backends 
(like in other apps as gollem)

Saved Queries